{
  inputs',
  system,
  config,
  lib,
  pkgs,
  ...
}: {
  packages = {
    myPython = pkgs.python310.withPackages (ps:
      with ps;
        [
          pep8
          yapf
          flake8
          # autopep8 (broken)
          # pylint (broken)
          ipython
          llfuse
          dugong
          defusedxml
          wheel
          pip
          virtualenv
          cffi
          # pyopenssl
          urllib3
          # mistune (insecure)
          sympy

          flask

          pyaml
          requests
        ]
        ++ [pkgs.pypi2nix pkgs.libffi]);
  };
}
