let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.09";
    rev = "e065200fc90175a8f6e50e76ef10a48786126e1c";
  };
in {
  inherit nixpkgs;
  nixos = nixpkgs // {suffix = "/nixos";};
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "2f47650c2f28d87f86ab807b8a339c684d91ec56";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "cb7c39605051c7b268f8e0c5c47818a06b5d88c5";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-20.09";
    rev = "22f6736e628958f05222ddaadd7df7818fe8f59d";
  };
}
