{
  lib,
  pkgs,
  ...
}: {
  boot.loader.grub.efiInstallAsRemovable = lib.mkForce true;
  boot.loader.efi.canTouchEfiVariables = lib.mkForce false;
  boot.kernelPackages = lib.mkForce pkgs.linuxPackages_latest;

  # boot.tmpOnTmpfs = lib.mkForce false;
  boot.tmp.tmpfsSize = "100%";

  # TODO: make this work
  # systemd.tmpfiles.rules = lib.mkForce [ "d /tmp 1777 root root 1d" ];
}
