with import <nixpkgs> {};
  stdenv.mkDerivation rec {
    broken = true;

    name = "browserpass";
    version = "2.0.9";

    src = fetchzip {
      url = "https://github.com/dannyvankooten/browserpass/releases/download/${version}/${name}-linux64.zip";
      sha256 = "1nygcfjhyrcvbdmz4hjphcnmr4lm9y24lpdkdcjix6vbsjs0hipw";
      stripRoot = false;
    };

    buildPhase = ":";

    libPath = lib.makeLibraryPath [];
    installPhase = ''
            set -x
            patchelf --set-interpreter ${glibc}/lib/ld-linux-x86-64.so.2 browserpass-linux64

            mkdir -p $out/bin
            cp -a * $out/bin/
      #      wrapProgram $out/bin/browserpass-linux64 \
      #        --prefix LD_LIBRARY_PATH : "${libPath}"
      #
    '';
  }
