{
  lib,
  config,
  ...
}: let
  cfg = config.services.ddclient-hetzner;
in {
  options.services.ddclient-hetzner = with lib; {
    enable = mkEnableOption "Enable ddclient-hetzner";
    zone = mkOption {type = types.str;};
    domains = mkOption {type = types.listOf types.str;};
    passwordFile = mkOption {type = types.path;};
  };
}
